---------------------
PatchSet 1293 
Date: 2001/01/13 01:36:57
Author: hno
Branch: compactsentry
Tag: (none) 
Log:
More adjustments to the new hash format. Maybe it even compiles soon...

Members: 
	src/HttpHdrRange.c:1.5->1.5.2.1 
	src/access_log.c:1.9->1.9.2.1 
	src/fqdncache.c:1.12->1.12.2.1 
	src/htcp.c:1.6->1.6.2.1 
	src/http.c:1.11->1.11.2.1 
	src/ident.c:1.6->1.6.2.1 
	src/ipcache.c:1.13->1.13.2.1 
	src/neighbors.c:1.8->1.8.2.1 
	src/net_db.c:1.9->1.9.2.1 
	src/pconn.c:1.5->1.5.2.1 
	src/stat.c:1.7->1.7.2.1 
	src/store.c:1.9->1.9.2.1 
	src/store_client.c:1.6.2.1->1.6.2.2 
	src/store_digest.c:1.7->1.7.2.1 
	src/store_dir.c:1.11->1.11.2.1 
	src/store_log.c:1.5->1.5.2.1 
	src/store_swapin.c:1.5->1.5.2.1 
	src/store_swapmeta.c:1.5->1.5.2.1 
	src/store_swapout.c:1.6->1.6.2.1 

Index: squid/src/HttpHdrRange.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHdrRange.c,v
retrieving revision 1.5
retrieving revision 1.5.2.1
diff -u -r1.5 -r1.5.2.1
--- squid/src/HttpHdrRange.c	12 Jan 2001 08:20:32 -0000	1.5
+++ squid/src/HttpHdrRange.c	13 Jan 2001 01:36:57 -0000	1.5.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHdrRange.c,v 1.5 2001/01/12 08:20:32 hno Exp $
+ * $Id: HttpHdrRange.c,v 1.5.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 64    HTTP Range Header
  * AUTHOR: Alex Rousskov
@@ -467,7 +467,7 @@
     assert(http);
     stringAppend(&b, full_appname_string, strlen(full_appname_string));
     stringAppend(&b, ":", 1);
-    key = storeKeyText(http->entry->hash.key);
+    key = storeKeyText(http->entry->key);
     stringAppend(&b, key, strlen(key));
     return b;
 }
Index: squid/src/access_log.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/access_log.c,v
retrieving revision 1.9
retrieving revision 1.9.2.1
diff -u -r1.9 -r1.9.2.1
--- squid/src/access_log.c	12 Jan 2001 08:20:32 -0000	1.9
+++ squid/src/access_log.c	13 Jan 2001 01:36:57 -0000	1.9.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: access_log.c,v 1.9 2001/01/12 08:20:32 hno Exp $
+ * $Id: access_log.c,v 1.9.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -445,7 +445,7 @@
     fv = hash_lookup(hash, key);
     if (NULL == fv) {
 	fv = xcalloc(1, sizeof(fvdb_entry));
-	fv->hash.key = xstrdup(key);
+	fv->key = xstrdup(key);
 	hash_join(hash, &fv->hash);
     }
     fv->n++;
@@ -494,7 +494,7 @@
 fvdbFreeEntry(void *data)
 {
     fvdb_entry *fv = data;
-    xfree(fv->hash.key);
+    xfree(fv->key);
     xfree(fv);
 }
 
Index: squid/src/fqdncache.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fqdncache.c,v
retrieving revision 1.12
retrieving revision 1.12.2.1
diff -u -r1.12 -r1.12.2.1
--- squid/src/fqdncache.c	12 Jan 2001 08:20:33 -0000	1.12
+++ squid/src/fqdncache.c	13 Jan 2001 01:36:57 -0000	1.12.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fqdncache.c,v 1.12 2001/01/12 08:20:33 hno Exp $
+ * $Id: fqdncache.c,v 1.12.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 35    FQDN Cache
  * AUTHOR: Harvest Derived
@@ -104,7 +104,7 @@
     debug(35, 5) ("fqdncacheRelease: Released FQDN record for '%s'.\n",
 	hashKeyStr(&f->hash));
     dlinkDelete(&f->lru, &lru_list);
-    safe_free(f->hash.key);
+    safe_free(f->key);
     safe_free(f->error_message);
     memFree(f, MEM_FQDNCACHE_ENTRY);
 }
@@ -181,7 +181,7 @@
 {
     static fqdncache_entry *f;
     f = memAllocate(MEM_FQDNCACHE_ENTRY);
-    f->hash.key = xstrdup(name);
+    f->key = xstrdup(name);
     f->expires = squid_curtime + Config.negativeDnsTtl;
     return f;
 }
@@ -189,7 +189,7 @@
 static void
 fqdncacheAddEntry(fqdncache_entry * f)
 {
-    hash_link *e = hash_lookup(fqdn_table, f->hash.key);
+    hash_link *e = hash_lookup(fqdn_table, f->key);
     if (NULL != e) {
 	/* avoid colission */
 	fqdncache_entry *q = (fqdncache_entry *) e;
@@ -535,7 +535,7 @@
     int k;
     for (k = 0; k < (int) f->name_count; k++)
 	safe_free(f->names[k]);
-    safe_free(f->hash.key);
+    safe_free(f->key);
     safe_free(f->error_message);
     memFree(f, MEM_FQDNCACHE_ENTRY);
 }
Index: squid/src/htcp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/htcp.c,v
retrieving revision 1.6
retrieving revision 1.6.2.1
diff -u -r1.6 -r1.6.2.1
--- squid/src/htcp.c	12 Jan 2001 08:20:33 -0000	1.6
+++ squid/src/htcp.c	13 Jan 2001 01:36:57 -0000	1.6.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.c,v 1.6 2001/01/12 08:20:33 hno Exp $
+ * $Id: htcp.c,v 1.6.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 31    Hypertext Caching Protocol
  * AUTHOR: Duane Wesssels
@@ -911,7 +911,7 @@
     }
     htcpSend(pkt, (int) pktlen, &p->in_addr);
     save_key = queried_keys[stuff.msg_id % N_QUERIED_KEYS];
-    storeKeyCopy(save_key, e->hash.key);
+    storeKeyCopy(save_key, e->key);
     debug(31, 3) ("htcpQuery: key (%p) %s\n", save_key, storeKeyText(save_key));
     xfree(pkt);
 }
Index: squid/src/http.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/http.c,v
retrieving revision 1.11
retrieving revision 1.11.2.1
diff -u -r1.11 -r1.11.2.1
--- squid/src/http.c	12 Jan 2001 08:20:33 -0000	1.11
+++ squid/src/http.c	13 Jan 2001 01:36:57 -0000	1.11.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.c,v 1.11 2001/01/12 08:20:33 hno Exp $
+ * $Id: http.c,v 1.11.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -324,7 +324,7 @@
     HttpReply *reply = entry->mem_obj->reply;
     Ctx ctx;
     debug(11, 3) ("httpProcessReplyHeader: key '%s'\n",
-	storeKeyText(entry->hash.key));
+	storeKeyText(entry->key));
     if (httpState->reply_hdr == NULL)
 	httpState->reply_hdr = memAllocate(MEM_8K_BUF);
     assert(httpState->reply_hdr_state == 0);
Index: squid/src/ident.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ident.c,v
retrieving revision 1.6
retrieving revision 1.6.2.1
diff -u -r1.6 -r1.6.2.1
--- squid/src/ident.c	12 Jan 2001 08:20:33 -0000	1.6
+++ squid/src/ident.c	13 Jan 2001 01:36:57 -0000	1.6.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ident.c,v 1.6 2001/01/12 08:20:33 hno Exp $
+ * $Id: ident.c,v 1.6.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 30    Ident (RFC 931)
  * AUTHOR: Duane Wessels
@@ -217,7 +217,7 @@
     }
     CBDATA_INIT_TYPE(IdentStateData);
     state = CBDATA_ALLOC(IdentStateData, NULL);
-    state->hash.key = xstrdup(key);
+    state->key = xstrdup(key);
     state->fd = fd;
     state->me = *me;
     state->my_peer = *my_peer;
Index: squid/src/ipcache.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ipcache.c,v
retrieving revision 1.13
retrieving revision 1.13.2.1
diff -u -r1.13 -r1.13.2.1
--- squid/src/ipcache.c	12 Jan 2001 08:20:33 -0000	1.13
+++ squid/src/ipcache.c	13 Jan 2001 01:36:57 -0000	1.13.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipcache.c,v 1.13 2001/01/12 08:20:33 hno Exp $
+ * $Id: ipcache.c,v 1.13.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 14    IP Cache
  * AUTHOR: Harvest Derived
@@ -191,7 +191,7 @@
 {
     static ipcache_entry *i;
     i = memAllocate(MEM_IPCACHE_ENTRY);
-    i->hash.key = xstrdup(name);
+    i->key = xstrdup(name);
     i->expires = squid_curtime + Config.negativeDnsTtl;
     return i;
 }
@@ -199,7 +199,7 @@
 static void
 ipcacheAddEntry(ipcache_entry * i)
 {
-    hash_link *e = hash_lookup(ip_table, i->hash.key);
+    hash_link *e = hash_lookup(ip_table, i->key);
     if (NULL != e) {
 	/* avoid colission */
 	ipcache_entry *q = (ipcache_entry *) e;
@@ -695,7 +695,7 @@
     ipcache_entry *i = data;
     safe_free(i->addrs.in_addrs);
     safe_free(i->addrs.bad_mask);
-    safe_free(i->hash.key);
+    safe_free(i->key);
     safe_free(i->error_message);
     memFree(i, MEM_IPCACHE_ENTRY);
 }
Index: squid/src/neighbors.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/neighbors.c,v
retrieving revision 1.8
retrieving revision 1.8.2.1
diff -u -r1.8 -r1.8.2.1
--- squid/src/neighbors.c	12 Jan 2001 08:20:33 -0000	1.8
+++ squid/src/neighbors.c	13 Jan 2001 01:36:57 -0000	1.8.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: neighbors.c,v 1.8 2001/01/12 08:20:33 hno Exp $
+ * $Id: neighbors.c,v 1.8.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 15    Neighbor Routines
  * AUTHOR: Harvest Derived
@@ -422,7 +422,7 @@
     mem->start_ping = current_time;
     mem->ping_reply_callback = callback;
     mem->ircb_data = callback_data;
-    reqnum = icpSetCacheKey(entry->hash.key);
+    reqnum = icpSetCacheKey(entry->key);
     for (i = 0, p = first_ping; i++ < Config.npeers; p = p->next) {
 	if (p == NULL)
 	    p = Config.peers;
@@ -434,7 +434,7 @@
 	    p->host, url);
 	if (p->type == PEER_MULTICAST)
 	    mcastSetTtl(theOutIcpConnection, p->mcast.ttl);
-	debug(15, 3) ("neighborsUdpPing: key = '%s'\n", storeKeyText(entry->hash.key));
+	debug(15, 3) ("neighborsUdpPing: key = '%s'\n", storeKeyText(entry->key));
 	debug(15, 3) ("neighborsUdpPing: reqnum = %d\n", reqnum);
 
 #if USE_HTCP
@@ -1136,7 +1136,7 @@
     mem->ircb_data = psstate;
     mcastSetTtl(theOutIcpConnection, p->mcast.ttl);
     p->mcast.id = mem->id;
-    reqnum = icpSetCacheKey(fake->hash.key);
+    reqnum = icpSetCacheKey(fake->key);
     query = icpCreateMessage(ICP_QUERY, 0, url, reqnum, 0);
     icpUdpSend(theOutIcpConnection,
 	&p->in_addr,
Index: squid/src/net_db.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/net_db.c,v
retrieving revision 1.9
retrieving revision 1.9.2.1
diff -u -r1.9 -r1.9.2.1
--- squid/src/net_db.c	12 Jan 2001 08:20:33 -0000	1.9
+++ squid/src/net_db.c	13 Jan 2001 01:36:57 -0000	1.9.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: net_db.c,v 1.9 2001/01/12 08:20:33 hno Exp $
+ * $Id: net_db.c,v 1.9.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 38    Network Measurement Database
  * AUTHOR: Duane Wessels
@@ -81,7 +81,7 @@
 netdbHashInsert(netdbEntry * n, struct in_addr addr)
 {
     xstrncpy(n->network, inet_ntoa(networkFromInaddr(addr)), 16);
-    n->hash.key = n->network;
+    n->key = n->network;
     assert(hash_lookup(addr_table, n->network) == NULL);
     hash_join(addr_table, &n->hash);
 }
@@ -101,7 +101,7 @@
 netdbHostInsert(netdbEntry * n, const char *hostname)
 {
     net_db_name *x = memAllocate(MEM_NET_DB_NAME);
-    x->hash.key = xstrdup(hostname);
+    x->key = xstrdup(hostname);
     x->next = n->hosts;
     n->hosts = x;
     x->net_db_entry = n;
@@ -126,7 +126,7 @@
 	}
     }
     hash_remove_link(host_table, (hash_link *) x);
-    xfree(x->hash.key);
+    xfree(x->key);
     memFree((void *) x, MEM_NET_DB_NAME);
 }
 
@@ -520,7 +520,7 @@
 netdbFreeNameEntry(void *data)
 {
     net_db_name *x = data;
-    xfree(x->hash.key);
+    xfree(x->key);
     memFree(x, MEM_NET_DB_NAME);
 }
 
Index: squid/src/pconn.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/pconn.c,v
retrieving revision 1.5
retrieving revision 1.5.2.1
diff -u -r1.5 -r1.5.2.1
--- squid/src/pconn.c	12 Jan 2001 08:20:33 -0000	1.5
+++ squid/src/pconn.c	13 Jan 2001 01:36:57 -0000	1.5.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: pconn.c,v 1.5 2001/01/12 08:20:33 hno Exp $
+ * $Id: pconn.c,v 1.5.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 48    Persistent Connections
  * AUTHOR: Duane Wessels
@@ -70,7 +70,7 @@
 pconnNew(const char *key)
 {
     struct _pconn *p = memPoolAlloc(pconn_data_pool);
-    p->hash.key = xstrdup(key);
+    p->key = xstrdup(key);
     p->nfds_alloc = PCONN_FDS_SZ;
     p->fds = memPoolAlloc(pconn_fds_pool);
     debug(48, 3) ("pconnNew: adding %s\n", hashKeyStr(&p->hash));
@@ -87,7 +87,7 @@
 	memPoolFree(pconn_fds_pool, p->fds);
     else
 	xfree(p->fds);
-    xfree(p->hash.key);
+    xfree(p->key);
     memPoolFree(pconn_data_pool, p);
 }
 
Index: squid/src/stat.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/stat.c,v
retrieving revision 1.7
retrieving revision 1.7.2.1
diff -u -r1.7 -r1.7.2.1
--- squid/src/stat.c	12 Jan 2001 08:20:33 -0000	1.7
+++ squid/src/stat.c	13 Jan 2001 01:36:57 -0000	1.7.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: stat.c,v 1.7 2001/01/12 08:20:33 hno Exp $
+ * $Id: stat.c,v 1.7.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 18    Cache Manager Statistics
  * AUTHOR: Harvest Derived
@@ -260,7 +260,7 @@
     int i;
     struct _store_client *sc;
     dlink_node *node;
-    storeAppendPrintf(s, "KEY %s\n", storeKeyText(e->hash.key));
+    storeAppendPrintf(s, "KEY %s\n", storeKeyText(e->key));
     if (mem)
 	storeAppendPrintf(s, "\t%s %s\n",
 	    RequestMethodStr[mem->method], mem->log_url);
@@ -1424,9 +1424,9 @@
 	    http->out.offset, http->out.size);
 	storeAppendPrintf(s, "req_sz %d\n", http->req_sz);
 	e = http->entry;
-	storeAppendPrintf(s, "entry %p/%s\n", e, e ? storeKeyText(e->hash.key) : "N/A");
+	storeAppendPrintf(s, "entry %p/%s\n", e, e ? storeKeyText(e->key) : "N/A");
 	e = http->old_entry;
-	storeAppendPrintf(s, "old_entry %p/%s\n", e, e ? storeKeyText(e->hash.key) : "N/A");
+	storeAppendPrintf(s, "old_entry %p/%s\n", e, e ? storeKeyText(e->key) : "N/A");
 	storeAppendPrintf(s, "start %d.%06d (%f seconds ago)\n", http->start.tv_sec,
 	    http->start.tv_usec,
 	    tvSubDsec(http->start, current_time));
Index: squid/src/store.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store.c,v
retrieving revision 1.9
retrieving revision 1.9.2.1
diff -u -r1.9 -r1.9.2.1
--- squid/src/store.c	12 Jan 2001 08:20:33 -0000	1.9
+++ squid/src/store.c	13 Jan 2001 01:36:57 -0000	1.9.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store.c,v 1.9 2001/01/12 08:20:33 hno Exp $
+ * $Id: store.c,v 1.9.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
@@ -178,7 +178,7 @@
     if (e->mem_obj)
 	destroy_MemObject(e);
     storeHashDelete(e);
-    assert(e->hash.key == NULL);
+    assert(e->key == NULL);
     memFree(e, MEM_STOREENTRY);
 }
 
@@ -189,7 +189,7 @@
 {
     debug(20, 3) ("storeHashInsert: Inserting Entry %p key '%s'\n",
 	e, storeKeyText(key));
-    e->hash.key = storeKeyDup(key);
+    e->key = storeKeyDup(key);
     hash_join(store_table, &e->hash);
 }
 
@@ -197,8 +197,8 @@
 storeHashDelete(StoreEntry * e)
 {
     hash_remove_link(store_table, &e->hash);
-    storeKeyFree(e->hash.key);
-    e->hash.key = NULL;
+    storeKeyFree(e->key);
+    e->key = NULL;
 }
 
 /* -------------------------------------------------------------------------- */
@@ -212,7 +212,7 @@
     if (e->mem_obj == NULL)
 	return;
     debug(20, 3) ("storePurgeMem: Freeing memory-copy of %s\n",
-	storeKeyText(e->hash.key));
+	storeKeyText(e->key));
     storeSetMemStatus(e, NOT_IN_MEMORY);
     destroy_MemObject(e);
     if (e->swap_status != SWAPOUT_DONE)
@@ -260,7 +260,7 @@
 {
     e->lock_count++;
     debug(20, 3) ("storeLockObject: key '%s' count=%d\n",
-	storeKeyText(e->hash.key), (int) e->lock_count);
+	storeKeyText(e->key), (int) e->lock_count);
     e->lastref = squid_curtime;
     storeEntryReferenced(e);
 }
@@ -270,7 +270,7 @@
 {
     if (EBIT_TEST(e->flags, RELEASE_REQUEST))
 	return;
-    debug(20, 3) ("storeReleaseRequest: '%s'\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeReleaseRequest: '%s'\n", storeKeyText(e->key));
     EBIT_SET(e->flags, RELEASE_REQUEST);
     /*
      * Clear cachable flag here because we might get called before
@@ -288,7 +288,7 @@
 {
     e->lock_count--;
     debug(20, 3) ("storeUnlockObject: key '%s' count=%d\n",
-	storeKeyText(e->hash.key), e->lock_count);
+	storeKeyText(e->key), e->lock_count);
     if (e->lock_count)
 	return (int) e->lock_count;
     if (e->store_status == STORE_PENDING)
@@ -339,9 +339,9 @@
 {
     const cache_key *newkey;
     MemObject *mem = e->mem_obj;
-    if (e->hash.key && EBIT_TEST(e->flags, KEY_PRIVATE))
+    if (e->key && EBIT_TEST(e->flags, KEY_PRIVATE))
 	return;			/* is already private */
-    if (e->hash.key) {
+    if (e->key) {
 	if (e->swap_filen > -1)
 	    storeDirSwapLog(e, SWAP_LOG_DEL);
 	storeHashDelete(e);
@@ -363,7 +363,7 @@
     StoreEntry *e2 = NULL;
     const cache_key *newkey;
     MemObject *mem = e->mem_obj;
-    if (e->hash.key && !EBIT_TEST(e->flags, KEY_PRIVATE))
+    if (e->key && !EBIT_TEST(e->flags, KEY_PRIVATE))
 	return;			/* is already public */
     assert(mem);
     /*
@@ -379,7 +379,7 @@
 #if MORE_DEBUG_OUTPUT
     if (EBIT_TEST(e->flags, RELEASE_REQUEST))
 	debug(20, 1) ("assertion failed: RELEASE key %s, url %s\n",
-	    e->hash.key, mem->url);
+	    e->key, mem->url);
 #endif
     assert(!EBIT_TEST(e->flags, RELEASE_REQUEST));
     newkey = storeKeyPublic(mem->url, mem->method);
@@ -389,7 +389,7 @@
 	storeRelease(e2);
 	newkey = storeKeyPublic(mem->url, mem->method);
     }
-    if (e->hash.key)
+    if (e->key)
 	storeHashDelete(e);
     EBIT_CLR(e->flags, KEY_PRIVATE);
     storeHashInsert(e, newkey);
@@ -436,7 +436,7 @@
 void
 storeExpireNow(StoreEntry * e)
 {
-    debug(20, 3) ("storeExpireNow: '%s'\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeExpireNow: '%s'\n", storeKeyText(e->key));
     e->expires = squid_curtime;
 }
 
@@ -451,7 +451,7 @@
     if (len) {
 	debug(20, 5) ("storeAppend: appending %d bytes for '%s'\n",
 	    len,
-	    storeKeyText(e->hash.key));
+	    storeKeyText(e->key));
 	storeGetMemSpace(len);
 	stmemAppend(&mem->data_hdr, buf, len);
 	mem->inmem_hi += len;
@@ -629,7 +629,7 @@
 void
 storeComplete(StoreEntry * e)
 {
-    debug(20, 3) ("storeComplete: '%s'\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeComplete: '%s'\n", storeKeyText(e->key));
     if (e->store_status != STORE_PENDING) {
 	/*
 	 * if we're not STORE_PENDING, then probably we got aborted
@@ -671,7 +671,7 @@
     MemObject *mem = e->mem_obj;
     assert(e->store_status == STORE_PENDING);
     assert(mem != NULL);
-    debug(20, 6) ("storeAbort: %s\n", storeKeyText(e->hash.key));
+    debug(20, 6) ("storeAbort: %s\n", storeKeyText(e->key));
     storeLockObject(e);		/* lock while aborting */
     storeNegativeCache(e);
     storeReleaseRequest(e);
@@ -774,7 +774,7 @@
 void
 storeRelease(StoreEntry * e)
 {
-    debug(20, 3) ("storeRelease: Releasing: '%s'\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeRelease: Releasing: '%s'\n", storeKeyText(e->key));
     /* If, for any reason we can't discard this object because of an
      * outstanding request, mark it for pending release */
     if (storeEntryLocked(e)) {
@@ -868,7 +868,7 @@
     const HttpReply *reply;
     assert(e->mem_obj != NULL);
     reply = e->mem_obj->reply;
-    debug(20, 3) ("storeEntryValidLength: Checking '%s'\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeEntryValidLength: Checking '%s'\n", storeKeyText(e->key));
     debug(20, 5) ("storeEntryValidLength:     object_len = %d\n",
 	objectLen(e));
     debug(20, 5) ("storeEntryValidLength:         hdr_sz = %d\n",
@@ -877,17 +877,17 @@
 	reply->content_length);
     if (reply->content_length < 0) {
 	debug(20, 5) ("storeEntryValidLength: Unspecified content length: %s\n",
-	    storeKeyText(e->hash.key));
+	    storeKeyText(e->key));
 	return 1;
     }
     if (reply->hdr_sz == 0) {
 	debug(20, 5) ("storeEntryValidLength: Zero header size: %s\n",
-	    storeKeyText(e->hash.key));
+	    storeKeyText(e->key));
 	return 1;
     }
     if (e->mem_obj->method == METHOD_HEAD) {
 	debug(20, 5) ("storeEntryValidLength: HEAD request: %s\n",
-	    storeKeyText(e->hash.key));
+	    storeKeyText(e->key));
 	return 1;
     }
     if (reply->sline.status == HTTP_NOT_MODIFIED)
@@ -900,7 +900,7 @@
     debug(20, 3) ("storeEntryValidLength: %d bytes too %s; '%s'\n",
 	diff < 0 ? -diff : diff,
 	diff < 0 ? "big" : "small",
-	storeKeyText(e->hash.key));
+	storeKeyText(e->key));
     return 0;
 }
 
@@ -1087,7 +1087,7 @@
 void
 storeEntryDump(const StoreEntry * e, int l)
 {
-    debug(20, l) ("StoreEntry->key: %s\n", storeKeyText(e->hash.key));
+    debug(20, l) ("StoreEntry->key: %s\n", storeKeyText(e->key));
     debug(20, l) ("StoreEntry->next: %p\n", e->hash.next);
     debug(20, l) ("StoreEntry->mem_obj: %p\n", e->mem_obj);
     debug(20, l) ("StoreEntry->timestamp: %d\n", (int) e->timestamp);
Index: squid/src/store_client.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_client.c,v
retrieving revision 1.6.2.1
retrieving revision 1.6.2.2
diff -u -r1.6.2.1 -r1.6.2.2
--- squid/src/store_client.c	13 Jan 2001 01:32:06 -0000	1.6.2.1
+++ squid/src/store_client.c	13 Jan 2001 01:36:57 -0000	1.6.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_client.c,v 1.6.2.1 2001/01/13 01:32:06 hno Exp $
+ * $Id: store_client.c,v 1.6.2.2 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Client-Side Interface
  * AUTHOR: Duane Wessels
@@ -188,7 +188,7 @@
 {
     assert(!EBIT_TEST(e->flags, ENTRY_ABORTED));
     debug(20, 3) ("storeClientCopy: %s, seen %d, want %d, size %d, cb %p, cbdata %p\n",
-	storeKeyText(e->hash.key),
+	storeKeyText(e->key),
 	(int) seen_offset,
 	(int) copy_offset,
 	(int) size,
@@ -248,7 +248,7 @@
     }
     cbdataLock(sc);		/* ick, prevent sc from getting freed */
     sc->flags.store_copying = 1;
-    debug(20, 3) ("storeClientCopy2: %s\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeClientCopy2: %s\n", storeKeyText(e->key));
     assert(sc->callback != NULL);
     /*
      * We used to check for ENTRY_ABORTED here.  But there were some
@@ -409,10 +409,10 @@
 	case STORE_META_KEY:
 	    assert(t->length == MD5_DIGEST_CHARS);
 	    if (!EBIT_TEST(e->flags, KEY_PRIVATE) &&
-		memcmp(t->value, e->hash.key, MD5_DIGEST_CHARS)) {
+		memcmp(t->value, e->key, MD5_DIGEST_CHARS)) {
 		debug(20, 2) ("storeClientReadHeader: swapin MD5 mismatch\n");
 		debug(20, 2) ("\t%s\n", storeKeyText(t->value));
-		debug(20, 2) ("\t%s\n", storeKeyText(e->hash.key));
+		debug(20, 2) ("\t%s\n", storeKeyText(e->key));
 		if (isPowTen(++md5_mismatches))
 		    debug(20, 1) ("WARNING: %d swapin MD5 mismatches\n",
 			md5_mismatches);
@@ -498,7 +498,7 @@
 #endif
     if (mem == NULL)
 	return 0;
-    debug(20, 3) ("storeUnregister: called for '%s'\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeUnregister: called for '%s'\n", storeKeyText(e->key));
     if (sc == NULL)
 	return 0;
     if (mem->clients.head == NULL)
@@ -570,7 +570,7 @@
     dlink_node *nx = NULL;
     dlink_node *node;
 
-    debug(20, 3) ("InvokeHandlers: %s\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("InvokeHandlers: %s\n", storeKeyText(e->key));
     /* walk the entire list looking for valid callbacks */
     for (node = mem->clients.head; node; node = nx) {
 	sc = node->data;
Index: squid/src/store_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_digest.c,v
retrieving revision 1.7
retrieving revision 1.7.2.1
diff -u -r1.7 -r1.7.2.1
--- squid/src/store_digest.c	12 Jan 2001 08:20:33 -0000	1.7
+++ squid/src/store_digest.c	13 Jan 2001 01:36:57 -0000	1.7.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_digest.c,v 1.7 2001/01/12 08:20:33 hno Exp $
+ * $Id: store_digest.c,v 1.7.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 71    Store Digest Manager
  * AUTHOR: Alex Rousskov
@@ -135,17 +135,17 @@
     }
     assert(entry && store_digest);
     debug(71, 6) ("storeDigestDel: checking entry, key: %s\n",
-	storeKeyText(entry->hash.key));
+	storeKeyText(entry->key));
     if (!EBIT_TEST(entry->flags, KEY_PRIVATE)) {
-	if (!cacheDigestTest(store_digest, entry->hash.key)) {
+	if (!cacheDigestTest(store_digest, entry->key)) {
 	    sd_stats.del_lost_count++;
 	    debug(71, 6) ("storeDigestDel: lost entry, key: %s url: %s\n",
-		storeKeyText(entry->hash.key), storeUrl(entry));
+		storeKeyText(entry->key), storeUrl(entry));
 	} else {
 	    sd_stats.del_count++;
-	    cacheDigestDel(store_digest, entry->hash.key);
+	    cacheDigestDel(store_digest, entry->key);
 	    debug(71, 6) ("storeDigestDel: deled entry, key: %s\n",
-		storeKeyText(entry->hash.key));
+		storeKeyText(entry->key));
 	}
     }
 #endif
@@ -187,7 +187,7 @@
     /* add some stats! XXX */
 
     debug(71, 6) ("storeDigestAddable: checking entry, key: %s\n",
-	storeKeyText(e->hash.key));
+	storeKeyText(e->key));
 
     /* check various entry flags (mimics storeCheckCachable XXX) */
     if (!EBIT_TEST(e->flags, ENTRY_CACHABLE)) {
@@ -245,14 +245,14 @@
 
     if (storeDigestAddable(entry)) {
 	sd_stats.add_count++;
-	if (cacheDigestTest(store_digest, entry->hash.key))
+	if (cacheDigestTest(store_digest, entry->key))
 	    sd_stats.add_coll_count++;
-	cacheDigestAdd(store_digest, entry->hash.key);
+	cacheDigestAdd(store_digest, entry->key);
 	debug(71, 6) ("storeDigestAdd: added entry, key: %s\n",
-	    storeKeyText(entry->hash.key));
+	    storeKeyText(entry->key));
     } else {
 	sd_stats.rej_count++;
-	if (cacheDigestTest(store_digest, entry->hash.key))
+	if (cacheDigestTest(store_digest, entry->key))
 	    sd_stats.rej_coll_count++;
     }
 }
@@ -354,7 +354,7 @@
     assert(e);
     sd_state.rewrite_lock = CBDATA_ALLOC(generic_cbdata, NULL);
     sd_state.rewrite_lock->data = e;
-    debug(71, 3) ("storeDigestRewrite: url: %s key: %s\n", url, storeKeyText(e->hash.key));
+    debug(71, 3) ("storeDigestRewrite: url: %s key: %s\n", url, storeKeyText(e->key));
     e->mem_obj->request = requestLink(urlParse(METHOD_GET, url));
     /* wait for rebuild (if any) to finish */
     if (sd_state.rebuild_lock) {
Index: squid/src/store_dir.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_dir.c,v
retrieving revision 1.11
retrieving revision 1.11.2.1
diff -u -r1.11 -r1.11.2.1
--- squid/src/store_dir.c	12 Jan 2001 08:20:33 -0000	1.11
+++ squid/src/store_dir.c	13 Jan 2001 01:36:57 -0000	1.11.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir.c,v 1.11 2001/01/12 08:20:33 hno Exp $
+ * $Id: store_dir.c,v 1.11.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -248,7 +248,7 @@
     assert(op > SWAP_LOG_NOP && op < SWAP_LOG_MAX);
     debug(20, 3) ("storeDirSwapLog: %s %s %d %08X\n",
 	swap_log_op_str[op],
-	storeKeyText(e->hash.key),
+	storeKeyText(e->key),
 	e->swap_dirn,
 	e->swap_filen);
     sd = &Config.cacheSwap.swapDirs[e->swap_dirn];
Index: squid/src/store_log.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_log.c,v
retrieving revision 1.5
retrieving revision 1.5.2.1
diff -u -r1.5 -r1.5.2.1
--- squid/src/store_log.c	12 Jan 2001 08:20:33 -0000	1.5
+++ squid/src/store_log.c	13 Jan 2001 01:36:57 -0000	1.5.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_log.c,v 1.5 2001/01/12 08:20:33 hno Exp $
+ * $Id: store_log.c,v 1.5.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Logging Functions
  * AUTHOR: Duane Wessels
@@ -73,7 +73,7 @@
 	    storeLogTags[tag],
 	    e->swap_dirn,
 	    e->swap_filen,
-	    storeKeyText(e->hash.key),
+	    storeKeyText(e->key),
 	    reply->sline.status,
 	    (int) reply->date,
 	    (int) reply->last_modified,
@@ -91,7 +91,7 @@
 	    storeLogTags[tag],
 	    e->swap_dirn,
 	    e->swap_filen,
-	    storeKeyText(e->hash.key));
+	    storeKeyText(e->key));
     }
 }
 
Index: squid/src/store_swapin.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapin.c,v
retrieving revision 1.5
retrieving revision 1.5.2.1
diff -u -r1.5 -r1.5.2.1
--- squid/src/store_swapin.c	12 Jan 2001 08:20:33 -0000	1.5
+++ squid/src/store_swapin.c	13 Jan 2001 01:36:57 -0000	1.5.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapin.c,v 1.5 2001/01/12 08:20:33 hno Exp $
+ * $Id: store_swapin.c,v 1.5.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Swapin Functions
  * AUTHOR: Duane Wessels
@@ -48,7 +48,7 @@
 	return;
     }
     debug(20, 3) ("storeSwapInStart: called for %d %08X %s \n",
-	e->swap_dirn, e->swap_filen, storeKeyText(e->hash.key));
+	e->swap_dirn, e->swap_filen, storeKeyText(e->key));
     if (e->swap_status != SWAPOUT_WRITING && e->swap_status != SWAPOUT_DONE) {
 	debug(20, 1) ("storeSwapInStart: bad swap_status (%s)\n",
 	    swapStatusStr[e->swap_status]);
Index: squid/src/store_swapmeta.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapmeta.c,v
retrieving revision 1.5
retrieving revision 1.5.2.1
diff -u -r1.5 -r1.5.2.1
--- squid/src/store_swapmeta.c	12 Jan 2001 08:20:33 -0000	1.5
+++ squid/src/store_swapmeta.c	13 Jan 2001 01:36:57 -0000	1.5.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapmeta.c,v 1.5 2001/01/12 08:20:33 hno Exp $
+ * $Id: store_swapmeta.c,v 1.5.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
@@ -71,7 +71,7 @@
     assert(e->swap_status == SWAPOUT_WRITING);
     url = storeUrl(e);
     debug(20, 3) ("storeSwapMetaBuild: %s\n", url);
-    T = storeSwapTLVAdd(STORE_META_KEY, e->hash.key, MD5_DIGEST_CHARS, T);
+    T = storeSwapTLVAdd(STORE_META_KEY, e->key, MD5_DIGEST_CHARS, T);
     T = storeSwapTLVAdd(STORE_META_STD, &e->timestamp, STORE_HDR_METASIZE, T);
     T = storeSwapTLVAdd(STORE_META_URL, url, strlen(url) + 1, T);
     return TLV;
Index: squid/src/store_swapout.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapout.c,v
retrieving revision 1.6
retrieving revision 1.6.2.1
diff -u -r1.6 -r1.6.2.1
--- squid/src/store_swapout.c	12 Jan 2001 08:20:33 -0000	1.6
+++ squid/src/store_swapout.c	13 Jan 2001 01:36:57 -0000	1.6.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapout.c,v 1.6 2001/01/12 08:20:33 hno Exp $
+ * $Id: store_swapout.c,v 1.6.2.1 2001/01/13 01:36:57 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Swapout Functions
  * AUTHOR: Duane Wessels
@@ -263,7 +263,7 @@
 {
     MemObject *mem = e->mem_obj;
     assert(mem != NULL);
-    debug(20, 3) ("storeSwapOutFileClose: %s\n", storeKeyText(e->hash.key));
+    debug(20, 3) ("storeSwapOutFileClose: %s\n", storeKeyText(e->key));
     debug(20, 3) ("storeSwapOutFileClose: sio = %p\n", mem->swapout.sio);
     if (mem->swapout.sio == NULL)
 	return;
